/*
	Options Panel 
	- this code is by Hemiola SUN (textMarker! Plus! 0.3) and modified by me for use in this version
	Changes (03-06-05)
		* added checkbox option for use keyboard shortcuts
	Changes (25-05-05)
		* added options for cycling colours
*/

var gPref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
var lists = ["textMarker-colorpicker1","textMarker-colorpicker2","textMarker-colorpicker3"];
var defaultColor = ["#FFFF00","#FFFF00","#FFFF00"];

// load all preferences into the dialog
function TMOptionsInit()
{
  var element, pref;
  for (i = 0; i < lists.length; i++) {
    element = document.getElementById(lists[i]);
    pref = element.getAttribute("prefstring");
    try {
      element.color = gPref.getCharPref(pref);
    }
    catch (e) {
      element.color = defaultColor[i];
    }
  }
  element = document.getElementById("textMarker-cyclecolors");
  try {
  	element.checked = gPref.getBoolPref("textMarker.cyclecolors");
  } catch(e) {
  	element.checked = false;
  }
  element = document.getElementById("textMarker-useshortcuts");
  try {
  	element.checked = gPref.getBoolPref("textMarker.useshortcuts");
  } catch(e) {
  	element.checked = false;
  }
  	
}

// save all preferences entered into the dialog
function TMOptionsSave()
{
  var element, pref;
  for (i = 0; i < lists.length; i++) {
    element = document.getElementById(lists[i]);
    pref = element.getAttribute("prefstring");
    try {
      gPref.setCharPref(pref, element.color);
    }
    catch (e) {
      gPref.setCharPref(pref, defaultColor[i]);
    }
  }
  element = document.getElementById("textMarker-cyclecolors");
  try {
  	gPref.setBoolPref("textMarker.cyclecolors",element.checked);
  } catch(e) {
  	gPref.setBoolPref("textMarker.cyclecolors",false);
  }
  element = document.getElementById("textMarker-useshortcuts");
  try {
  	gPref.setBoolPref("textMarker.useshortcuts",element.checked);
  } catch(e) {
  	gPref.setBoolPref("textMarker.useshortcuts",false);
  }
}
